Bug 1932673 - Virtual machine template provided by red hat should not be editable. The UI allows to edit and then reverse the change after it was made
Summary: Virtual machine template provided by red hat should not be editable. The UI a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-24 21:47 UTC by Ran Elimelech
Modified: 2021-07-27 22:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:48:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
This is a details page of a VM template provided by Red Hat. It should not be editable. But editing it leads to some weird behaviour (348.15 KB, image/png)
2021-02-24 21:47 UTC, Ran Elimelech
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8540 0 None open Bug 1932673: Virtual machine template provided by red hat should not be editable 2021-04-01 10:05:23 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:48:34 UTC

Description Ran Elimelech 2021-02-24 21:47:22 UTC
Created attachment 1759168 [details]
This is a details page of a VM template provided by Red Hat. It should not be editable. But editing it leads to some weird behaviour

Description of problem:
Virtual machine teplates are not editable.
When I try to edit some details in them, I still get a pop-up, allowing me to edit. I can apply the changes and go back to the template and see my changes. and after a period of maybe 1 second, I see my changes bounce back to what they were before the change.


Version-Release number of selected component (if applicable):
4.7


How reproducible:
1. Make sure you have virtualization installed on Openshift

2. Go to Virtualization > Templates

3. Go to the details page of a template provided by Red Hat

4. Try to modify something (for example Edit/Delete network interface in the "Network Interface" tab)

5. Apply changes

6. Wait for the changes to roll back



Actual results:

The change you made rolls back

Expected results:

Block the user from making changes in the first place, and notify him why

Additional info:

This is actually mentioned in the Infobox under the "Details" tab for that template

Comment 2 Guohua Ouyang 2021-04-12 09:15:03 UTC
verified on master

Comment 5 errata-xmlrpc 2021-07-27 22:48:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.